LSP on Mac?

2freeq

New elf
Joined
May 18, 2014
Messages
7
Location
Flinders NSW
recently replaced my dead acer laptop and without much consideration brought a mac book pro.


Does LSP work on mac? i cant find a mac download on the LSP website.


Cheers
 

logandc99

Dedicated elf
Joined
Jul 13, 2012
Messages
1,151
2freeq said:
recently replaced my dead acer laptop and without much consideration brought a mac book pro.


Does LSP work on mac? i cant find a mac download on the LSP website.


Cheers
Hi 2freeq,
To actually answer your question, no, LSP does not have a Mac version. You would have run the Windows version of LSP under boot camp or parallels etc on a Mac.
Part of the many reasons I switched to Xlights was because it does have Mac version.


Sent from my iPhone using Tapatalk
 

2freeq

New elf
Joined
May 18, 2014
Messages
7
Location
Flinders NSW
Thanks mate. i just spent the afternoon getting windows up and running on my mac with Virtualbox.


might have a peek at Xlights though.....
 

logandc99

Dedicated elf
Joined
Jul 13, 2012
Messages
1,151
2freeq,
Not sure how new you are to animated xmas lights but if you are starting out, my advice would be to have a good look at the different software packages available and look through some of the "How to" videos for each one. Personally, I started out with LOR year 1, then moved to LSP for years 2 and 3 and last year switched to xlights.
Personally I am very happy with xlights as not only is it a great piece of software with a brilliant group of developers advancing the software at a rate of knots, but is also free and has a mac version.
I would give a word of caution about investing money in LSP at this stage. Whilst it is possible to put a good display together with LSP, it has major problems that for me, made the software too frustrating to use for a third year. Hence why LSP is going through a major rewrite but as far as I know, a reliable release date is still not clear. Also it has been stated by the developers that any sequences done in the current version 2.8 will NOT be compatible with the new version when it comes out so that is certainly something to consider. Also I believe (and please someone correct me if I am wrong) it is unclear whether or not you will be entitled to a free update to the new version when it is released if you purchase the current 2.8 version now (assuming the 2.8 version is still available for purchase).
Personally I hope the LSP team do come out with something greatly improved and innovative as that is only good for the hobby. However, perhaps wait and see what they come out with first and then choose whether or not to spend the money.
Others use Vixen and HLS, two sequencers I know nothing about as I have not used them.
Just my 2 cents worth.
 

2freeq

New elf
Joined
May 18, 2014
Messages
7
Location
Flinders NSW
Thanks for the reply mate. i purchased the professional edition of LSP about 3 years ago but have not had a light display due to medical reasons over past few years.
I have a dumb rgb controller i brought off here a few years ago, the "AAH mega60".... so i wouldnt mind using something i have forked out cash for haha.


Ill download Xlights now and have a tinker.
 

lithgowlights

Senior elf
Generous elf
Joined
May 6, 2010
Messages
940
Location
Lithgow, NSW
I used LSP up until Last year and it worked fine. I am changing to xLights this year as my show is a lot more complex and while LSP can easily program it, the ability to remove computer control and just use a Pi to run the whole show is simply too big of an opportunity to ignore
 

i13

Senior elf
Joined
Jul 5, 2013
Messages
806
Not software related but what firmware version is on the mega60? It should be handwritten on the board. The reason I ask is that versions older than 2.1 had problems and you won't have encountered them if you haven't used it. You might need to update the firmware and then it will be fine.
 

arw01

Full time elf
Joined
Dec 30, 2013
Messages
384
Location
Eastern Washington
Looks like the answers have flowed.


still a few LSP users, the re-write is progressing and no firm dates nailed down. No word on migrating yet to the new version old sequences. Nothing official on how the 2.8 users will be handled when 3.0 releases.


I had trouble with the 1.5v of FPP, they are working on getting to version 2.0 which should fix the issues I saw. There are utilities to convert your LSP sequence to FPP (light elf) if you choose to not have the scheduler of LSP run it.


Alan
 

Gilrock

Full time elf
Joined
Jan 4, 2013
Messages
397
Location
Tucson, AZ
lithgowlights said:
multicast said:
does LSP work?
Yep sure does, and crashes less than xLights
No way...xLights is just like Qantas. (Hopefully everyone gets the Rainman reference.)

But seriously if you can find crashes that we can reproduce we will fix it. Sometimes I spend so much time coding I don't get to use the program as a user. When I do I run into problems and fix them. Yesterday I spent 4 hours helping recreate someone's LOR setup in xLights and I created an import mapping file for them. During that I noticed we have a problem when you have models whose start channels chain to other models and then you start making changes to them. It appears it can end up in an endless loop. Haven't found the problem yet but I can see that as being one area that could have been causing a lot of crashes or hangups for users.
 

2freeq

New elf
Joined
May 18, 2014
Messages
7
Location
Flinders NSW
i13 said:
Not software related but what firmware version is on the mega60? It should be handwritten on the board. The reason I ask is that versions older than 2.1 had problems and you won't have encountered them if you haven't used it. You might need to update the firmware and then it will be fine.

Hmmmm i have V1.4.... ???


Might just bin it and start fresh
 

logandc99

Dedicated elf
Joined
Jul 13, 2012
Messages
1,151
arw01 said:
Looks like the answers have flowed.


No word on migrating yet to the new version old sequences.
Unless there has been a change that I didn't see ( entirely possible) I am pretty sure there was an official statement made by one of the developers that 2.8 sequences will not be compatible with the new version. But as I said, I may have missed an update to that.


Sent from my iPhone using Tapatalk
 

arw01

Full time elf
Joined
Dec 30, 2013
Messages
384
Location
Eastern Washington
I had only seen that as part of initial plans, and that they would look at other features when they had more time at later dates but that might be too much between the lines assumptiins.
 
Top